#
# spec file for package python3-alabaster
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python3-alabaster
Version:        0.7.7
Release:        2.2
Summary:        Modified Kr Sphinx doc theme
License:        BSD-3-Clause
Group:          Development/Languages/Python
Url:            https://github.com/bitprophet/alabaster
Source:         https://pypi.python.org/packages/source/a/alabaster/alabaster-%{version}.tar.gz
BuildRequires:  python3-Pygments
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
Requires:       python3-Pygments
Recommends:     python3-Sphinx
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
This theme is a modified "Kr" Sphinx theme from @kennethreitz
(especially as used in his Requests project), which was itself
originally based on @mitsuhiko's theme used for Flask & related
projects.

%prep
%setup -q -n alabaster-%{version}

%build
python3 setup.py build

%install
python3 setup.py install --prefix=%{_prefix} --optimize=2 --root=%{buildroot}

%files
%defattr(-,root,root,-)
%{python3_sitelib}/*
%doc README.rst LICENSE

%changelog
* Sun Jan 31 2016 arun@gmx.de
- specfile:
  * update copyright year
- update to version 0.7.7:
  * Add some margin-bottom to table.field-list p so field lists
    (e.g. Python function parameter lists in docstrings) written as
    multiple paragraphs, look like actual paragraphs instead of all
    globbing together.
  * Fix incorrect notes in README re: renamed github_button_* options
  - the button_ was dropped but docs did not reflect this. Thanks to
    Nik Nyby.
  * Fix sidebar_hr setting - stylesheet wasn't correctly referencing
    the right variable name. Thanks to Jannis Leidel.
  * Allow configuring body text-align via body_text_align. Credit to
    Marçal Solà.
  * Fix a handful of mismatched/unclosed HTML tags in the
    templates. Thanks to Marvin Pinto for catch & patch.
  * Add Codecov badge support to sidebar.
* Mon Oct 12 2015 toddrme2178@gmail.com
- Fix dependencies
  This fixes a dependency loop with python3-Sphinx
  The package doesn't actually depend on python3-Sphinx,
  so this loop was pointless.
* Sat Jul 18 2015 arun@gmx.de
- update to version 0.7.6:
  * Update how setup.py handles the README.rst file - load it
    explicitly as UTF-8 so the changelog containing non-ASCII
    characters doesn't generate UnicodeDecodeError in terminal
    environments whose default encoding is not UTF-8 or other
    Unicode-compatible encodings. Thanks to Arun Persaud for the
    report and Max Tepkeev for the suggested fix.
  * Fix left-margin & padding styling for code blocks within list-item
    elements, making them consistent with earlier changes applied to
    top-level code blocks.
  * Expose page & sidebar widths as theme options page_width and
    sidebar_width. Their defaults are the same as the previously
    static values.
* Wed Jul  8 2015 cdenicolo@suse.com
- license update: BSD-3-Clause
  see LICENSE file.
* Tue Jun 16 2015 arun@gmx.de
- update to version 0.7.5:
  * Honor Sphinx's core html_show_copyright option when rendering page
    footer. Thanks to Marcin Wojdyr for the report.
  * Pre-history versions of Alabaster attempted to remove the
    "related" sub-navigation (typically found as next/previous links
    in other themes) but this didn't work right for mobile-oriented
    styling.
  * This has been fixed by (re-)adding an improved sidebar nav element
    for these links and making its display controllable via the new
    show_related theme option (which defaults to False for backwards
    compatibility).
    NOTE: to enable the related-links nav, you'll need to set
    show_related to True and add relations.html to your html_sidebars
    (we've updated the example config in this README to indicate this
    for new installs).
    Thanks to Tomi Pieviläinen for the bug report.
  * Update the "Fork me on Github" banner image to use an https:// URI
    so sites hosted over HTTPS don't encounter mixed-content
    errors. Thanks to @nikolas for the patch.
  * Remove an orphaned </li> from the footer 'show source'
    section. Credit to Marcin Wojdyr.
* Sat May  9 2015 arun@gmx.de
- update to version 0.7.4:
  * Add code_highlight option (which includes general fixes to styling
    of code blocks containing highlighted lines). Thanks to Steven
    Loria.
* Sat Mar 21 2015 arun@gmx.de
- update to version 0.7.3:
  * Hide shadow related styles on bibliography elements, in addition
    to the earlier change re: border. Thanks again to Philippe Dessus.
* Sat Mar 14 2015 arun@gmx.de
- initial version
